#ifndef MAPCENTEROBJ_H
#define MAPCENTEROBJ_H


#include <QDate>

#include "branchobj.h"


class VymModel;

/*! \brief The center of the map is a special branch. */

/////////////////////////////////////////////////////////////////////////////
class MapCenterObj:public BranchObj {
public:
    MapCenterObj ();
    MapCenterObj (QGraphicsScene *);
    MapCenterObj (QGraphicsScene *, VymModel *);
    ~MapCenterObj ();
    void clear();
    void init();
    virtual void move      (double,double);
    virtual void move      (QPointF absPos);
    virtual void moveBy    (double,double);
    virtual void moveAll   (double,double);
    virtual void moveAllBy (double,double);
    virtual void updateLink();
    virtual void updateRelPositions();
};
#endif
